/* DarkMark (C) 2019-2020 Stephane Charette <stephanecharette@gmail.com>
 * $Id: DarknetWnd.hpp 2897 2020-01-11 08:00:27Z stephane $
 */

#pragma once

#include "DarkMark.hpp"


namespace dm
{
	class DarknetWnd : public DocumentWindow, public Button::Listener
	{
		public:

			DarknetWnd(DMContent & c);

			virtual ~DarknetWnd();

			virtual void closeButtonPressed();
			virtual void userTriedToCloseWindow();

			virtual void resized();

			virtual void buttonClicked(Button * button);

			void create_YOLO_configuration_files();
			void create_Darknet_files();

			Value v_darknet_dir;
			Value v_enable_yolov3_tiny;
			Value v_enable_yolov3_full;
			Value v_training_images_percentage;
			Value v_image_size;
			Value v_batch_size;
			Value v_subdivisions;
			Value v_iterations;
			Value v_saturation;
			Value v_exposure;
			Value v_hue;
			Value v_enable_flip;
			Value v_angle;
			Value v_mosaic;
			Value v_cutmix;
			Value v_mixup;
			Value v_keep_augmented_images;

			DMContent & content;
			ProjectInfo & info;
			Component canvas;
			PropertyPanel pp;
			TextButton help_button;
			TextButton ok_button;
			TextButton cancel_button;
	};
}
